### Struct

# FwupdPlugin StructFdt

#### Description

    struct FuStructFdt {
      guint8 buf[];
      guint refcount;
    }

No description available.

###### Structure members

`buf`

  No description available.

`refcount`

  No description available.

#### Functions

###### fu_struct_fdt_new

No description available.

###### fu_struct_fdt_parse_stream

No description available.

###### fu_struct_fdt_validate_stream

No description available.

#### Instance methods

###### fu_struct_fdt_get_boot_cpuid_phys

No description available.

###### fu_struct_fdt_get_last_comp_version

No description available.

###### fu_struct_fdt_get_off_dt_strings

No description available.

###### fu_struct_fdt_get_off_dt_struct

No description available.

###### fu_struct_fdt_get_off_mem_rsvmap

No description available.

###### fu_struct_fdt_get_size_dt_strings

No description available.

###### fu_struct_fdt_get_size_dt_struct

No description available.

###### fu_struct_fdt_get_totalsize

No description available.

###### fu_struct_fdt_get_version

No description available.

###### fu_struct_fdt_ref

No description available.

###### fu_struct_fdt_set_boot_cpuid_phys

No description available.

###### fu_struct_fdt_set_last_comp_version

No description available.

###### fu_struct_fdt_set_off_dt_strings

No description available.

###### fu_struct_fdt_set_off_dt_struct

No description available.

###### fu_struct_fdt_set_off_mem_rsvmap

No description available.

###### fu_struct_fdt_set_size_dt_strings

No description available.

###### fu_struct_fdt_set_size_dt_struct

No description available.

###### fu_struct_fdt_set_totalsize

No description available.

###### fu_struct_fdt_set_version

No description available.

###### fu_struct_fdt_unref

No description available.